{% extends 'SyliusWebBundle:Backend:layout.html.twig' %}

{% import 'SyliusResourceBundle:Macros:buttons.html.twig' as buttons %}
{% import 'SyliusWebBundle:Backend/Macros:alerts.html.twig' as alerts %}
{% import 'SyliusWebBundle:Backend/Macros:misc.html.twig' as misc %}

{% block topbar %}
    <ol class="breadcrumb">
        <li>{{ 'sylius.breadcrumb.assortment'|trans }}</li>
        <li><a href="{{ path('elbotrade_deal_backend_list') }}">Deals</a></li>
        <li>{{ deal.name }}</li>
    </ol>
{% endblock %}

{% block content %}
    <div class="page-header">
        <div class="actions-menu">
            {{ buttons.manage(path('elbotrade_deal_backend_list'), 'Manage Deals') }}
            {{ buttons.edit(path('elbotrade_deal_backend_update', {'id': deal.id})) }}
            {#{{ buttons.delete(path('elbotrade_deal_backend_delete', {'id': deal.id}), null, false, true) }}#}
        </div>
        <h1>
            <i class="glyphicon glyphicon-info-sign"></i> Deal Details {{ deal.name }}
        </h1>
    </div>

    <div class="row">
        <div class="col-md-6">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th colspan="2">{{ 'sylius.order.general_info'|trans }}</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><strong>{{ 'sylius.shipment.id'|trans }}</strong></td>
                    <td>{{ deal.id }}</td>
                </tr>
                <tr>
                    <td>{{ 'sylius.product.name'|trans }}</td>
                    <td>{{ deal.name }}</td>
                </tr>
                <tr>
                    <td>Active</td>
                    <td>{% if deal.active %}{{ 'other.yes'|trans({}, 'content') }}{% else %}{{ 'other.no'|trans({}, 'content') }}{% endif %}</td>
                </tr>
                <tr>
                    <td>Locale</td>
                    <td>{{ deal.locale }}</td>
                </tr>
                </tbody>
            </table>
        </div>

        <div class="col-md-6">
            <a href="{% path deal.image, 'big' %}" class="fancybox">{% thumbnail deal.image, 'small' %}</a>
        </div>
    </div>

    <hr>

{% endblock %}

{% block javascripts %}
    <script src="{{ asset('bundles/elbotradelayout/js/jquery.js') }}"></script>
    <script src="{{ asset('bundles/elbotradelayout/js/jquery.fancybox.js') }}"></script>
    <link rel="stylesheet" href="{{ asset('bundles/elbotradelayout/css/jquery.fancybox.css') }}" type="text/css">
    <script type="text/javascript">
        $(document).ready(function() {
            $('.fancybox').fancybox();
        })
    </script>
{% endblock %}